import 'package:flutter/material.dart';

/// Defines the color palette for the app.
abstract class AppColors {
  static const Color baseLightPrimary = Color(0xFF0F82FF);
  static const Color baseLightOnPrimary = Color(0xFFFFFFFF);
  static const Color baseLightPrimarySurface = Color(0xFFDBEFFF);
  static const Color baseLightOnPrimarySurface = Color(0xFF051A33);
  static const Color baseLightSecondary = Color(0xFF56718F);
  static const Color baseLightOnSecondary = Color(0xFFFFFFFF);
  static const Color baseLightSecondarySurface = Color(0xFFDBECFF);
  static const Color baseLightOnSecondarySurface = Color(0xFF17191C);
  static const Color baseLightTertiary = Color(0xFF6C5672);
  static const Color baseLightOnTertiary = Color(0xFFFFFFFF);
  static const Color baseLightTertiarySurface = Color(0xFFF4D9FA);
  static const Color baseLightOnTertiarySurface = Color(0xFF25142C);
  static const Color baseLightError = Color(0xFFAB2D25);
  static const Color baseLightOnError = Color(0xFFFFFFFF);
  static const Color baseLightErrorSurface = Color(0xFFF9DBD7);
  static const Color baseLightOnErrorSurface = Color(0xFF3B0605);
  static const Color baseLightSuccess = Color(0xFF49702E);
  static const Color baseLightOnSuccess = Color(0xFFFFFFFF);
  static const Color baseLightSuccessSurface = Color(0xFFD2F4B8);
  static const Color baseLightOnSuccessSurface = Color(0xFF0F2905);
  static const Color baseLightCaution = Color(0xFF6D5E1B);
  static const Color baseLightOnCaution = Color(0xFFFFFFFF);
  static const Color baseLightCautionSurface = Color(0xFFFFE680);
  static const Color baseLightOnCautionSurface = Color(0xFF211B04);
  static const Color baseLightBackground = Color(0xFFFFFFFF);
  static const Color baseLightOnBackground = Color(0xFF191C21);
  static const Color baseLightSurface = Color(0xFFFDFBFF);
  static const Color baseLightOnSurface = Color(0xFF191C21);
  static const Color baseLightOutline = Color(0xFF75777E);
  static const Color baseLightDivider = Color(0xFFE0E2EB);
  static const Color baseLightShadow = Color(0xFF000000);
  static const Color baseLightSurfaceVariant = Color(0xFFDEE2ED);
  static const Color baseLightOnSurfaceVariant = Color(0xFF536073);
  static const Color baseLightOutlineVariant = Color(0xFF6C798B);
  static const Color baseLightDividerVariant = Color(0xFFDEE2ED);
  static const Color baseDarkPrimary = Color(0xFF99CEFF);
  static const Color baseDarkOnPrimary = Color(0xFF103660);
  static const Color baseDarkPrimarySurface = Color(0xFF194D85);
  static const Color baseDarkOnPrimarySurface = Color(0xFFC7E5FF);
  static const Color baseDarkSecondary = Color(0xFFA4C8EF);
  static const Color baseDarkOnSecondary = Color(0xFF292E32);
  static const Color baseDarkSecondarySurface = Color(0xFF38424C);
  static const Color baseDarkOnSecondarySurface = Color(0xFFCCE2F9);
  static const Color baseDarkTertiary = Color(0xFFD8BDDE);
  static const Color baseDarkOnTertiary = Color(0xFF3C2942);
  static const Color baseDarkTertiarySurface = Color(0xFF533F5A);
  static const Color baseDarkOnTertiarySurface = Color(0xFFF4D9FA);
  static const Color baseDarkError = Color(0xFFF4B7AD);
  static const Color baseDarkOnError = Color(0xFF600F0C);
  static const Color baseDarkErrorSurface = Color(0xFF861915);
  static const Color baseDarkOnErrorSurface = Color(0xFFF9DBD7);
  static const Color baseDarkSuccess = Color(0xFFB3D996);
  static const Color baseDarkOnSuccess = Color(0xFF1E410C);
  static const Color baseDarkSuccessSurface = Color(0xFF315818);
  static const Color baseDarkOnSuccessSurface = Color(0xFFD2F4B8);
  static const Color baseDarkCaution = Color(0xFFEECF44);
  static const Color baseDarkOnCaution = Color(0xFF383009);
  static const Color baseDarkCautionSurface = Color(0xFF524712);
  static const Color baseDarkOnCautionSurface = Color(0xFFFFE680);
  static const Color baseDarkBackground = Color(0xFF000000);
  static const Color baseDarkOnBackground = Color(0xFFEFF0F9);
  static const Color baseDarkSurface = Color(0xFF191C21);
  static const Color baseDarkOnSurface = Color(0xFFEFF0F9);
  static const Color baseDarkOutline = Color(0xFF8E9098);
  static const Color baseDarkDivider = Color(0xFF2E3037);
  static const Color baseDarkShadow = Color(0xFF000000);
  static const Color baseDarkSurfaceVariant = Color(0xFF3E4957);
  static const Color baseDarkOnSurfaceVariant = Color(0xFFA4ACBB);
  static const Color baseDarkOutlineVariant = Color(0xFF8792A2);
  static const Color baseDarkDividerVariant = Color(0xFF3E4957);
  static const Color statesLightPrimaryPrimaryHovered = Color(0xFF1578DB);
  static const Color statesLightPrimaryPrimaryFocused = Color(0xFF1B66B6);
  static const Color statesLightPrimaryPrimaryPressed = Color(0xFF1B66B6);
  static const Color statesLightPrimaryPrimaryDisabled = Color(0xFF191C211F);
  static const Color statesLightOnPrimaryOnPrimaryDisabled =
      Color(0xFF191C2166);
  static const Color statesLightPrimarySurfacePrimarySurfaceHovered =
      Color(0xFFDBEFFF7A);
  static const Color statesLightPrimarySurfacePrimarySurfaceFocused =
      Color(0xFFDBEFFFA3);
  static const Color statesLightPrimarySurfacePrimarySurfacePressed =
      Color(0xFFDBEFFFA3);
  static const Color statesLightPrimarySurfacePrimarySurfaceDisabled =
      Color(0xFF191C2114);
  static const Color statesLightOnPrimarySurfaceOnPrimarySurfaceDisabled =
      Color(0xFF191C2166);
  static const Color statesLightSecondarySecondaryHovered = Color(0xFF50667F);
  static const Color statesLightSecondarySecondaryFocused = Color(0xFF495B6E);
  static const Color statesLightSecondarySecondaryPressed = Color(0xFF495B6E);
  static const Color statesLightSecondarySecondaryDisabled =
      Color(0xFF191C211F);
  static const Color statesLightOnSecondaryOnSecondaryDisabled =
      Color(0xFF191C2166);
  static const Color statesLightSecondarySurfaceSecondarySurfaceHovered =
      Color(0xFFDBECFF7A);
  static const Color statesLightSecondarySurfaceSecondarySurfaceFocused =
      Color(0xFFDBECFFA3);
  static const Color statesLightSecondarySurfaceSecondarySurfacePressed =
      Color(0xFFDBECFFA3);
  static const Color statesLightSecondarySurfaceSecondarySurfaceDisabled =
      Color(0xFF191C2114);
  static const Color statesLightOnSecondarySurfaceOnSecondarySurfaceDisabled =
      Color(0xFF191C2166);
  static const Color statesLightTertiaryTertiaryHovered = Color(0xFF604B66);
  static const Color statesLightTertiaryTertiaryFocused = Color(0xFF533F5A);
  static const Color statesLightTertiaryTertiaryPressed = Color(0xFF533F5A);
  static const Color statesLightTertiaryTertiaryDisabled = Color(0xFF191C211F);
  static const Color statesLightOnTertiaryOnTertiaryDisabled =
      Color(0xFF191C2166);
  static const Color statesLightTertiarySurfaceTertiarySurfaceHovered =
      Color(0xFFF4D9FA7A);
  static const Color statesLightTertiarySurfaceTertiarySurfaceFocused =
      Color(0xFFF4D9FAA3);
  static const Color statesLightTertiarySurfaceTertiarySurfacePressed =
      Color(0xFFF4D9FAA3);
  static const Color statesLightTertiarySurfaceTertiarySurfaceDisabled =
      Color(0xFF191C2114);
  static const Color statesLightOnTertiarySurfaceOnTertiarySurfaceDisabled =
      Color(0xFF191C2166);
  static const Color statesLightErrorErrorHovered = Color(0xFF99231D);
  static const Color statesLightErrorErrorFocused = Color(0xFF861915);
  static const Color statesLightErrorErrorPressed = Color(0xFF861915);
  static const Color statesLightErrorErrorDisabled = Color(0xFF191C211F);
  static const Color statesLightOnErrorOnErrorDisabled = Color(0xFF191C2166);
  static const Color statesLightErrorSurfaceErrorSurfaceHovered =
      Color(0xFFF9DBD77A);
  static const Color statesLightErrorSurfaceErrorSurfaceFocused =
      Color(0xFFF9DBD7A3);
  static const Color statesLightErrorSurfaceErrorSurfacePressed =
      Color(0xFFF9DBD7A3);
  static const Color statesLightErrorSurfaceErrorSurfaceDisabled =
      Color(0xFF191C2114);
  static const Color statesLightOnErrorSurfaceOnErrorSurfaceDisabled =
      Color(0xFF191C2166);
  static const Color statesLightSuccessSuccessHovered = Color(0xFF3D6423);
  static const Color statesLightSuccessSuccessFocused = Color(0xFF315818);
  static const Color statesLightSuccessSuccessPressed = Color(0xFF315818);
  static const Color statesLightSuccessSuccessDisabled = Color(0xFF191C211F);
  static const Color statesLightOnSuccessOnSuccessDisabled =
      Color(0xFF191C2166);
  static const Color statesLightSuccessSurfaceSuccessSurfaceHovered =
      Color(0xFFD2F4B87A);
  static const Color statesLightSuccessSurfaceSuccessSurfaceFocused =
      Color(0xFFD2F4B8A3);
  static const Color statesLightSuccessSurfaceSuccessSurfacePressed =
      Color(0xFFD2F4B8A3);
  static const Color statesLightSuccessSurfaceSuccessSurfaceDisabled =
      Color(0xFF191C2114);
  static const Color statesLightOnSuccessSurfaceOnSuccessSurfaceDisabled =
      Color(0xFF191C2166);
  static const Color statesLightCautionCautionHovered = Color(0xFF605317);
  static const Color statesLightCautionCautionFocused = Color(0xFF524712);
  static const Color statesLightCautionCautionPressed = Color(0xFF524712);
  static const Color statesLightCautionCautionDisabled = Color(0xFF191C211F);
  static const Color statesLightOnCautionOnCautionDisabled =
      Color(0xFF191C2166);
  static const Color statesLightCautionSurfaceCautionSurfaceHovered =
      Color(0xFFFFE6807A);
  static const Color statesLightCautionSurfaceCautionSurfaceFocused =
      Color(0xFFFFE680A3);
  static const Color statesLightCautionSurfaceCautionSurfacePressed =
      Color(0xFFFFE680A3);
  static const Color statesLightCautionSurfaceCautionSurfaceDisabled =
      Color(0xFF191C2114);
  static const Color statesLightOnCautionSurfaceOnCautionSurfaceDisabled =
      Color(0xFF191C2166);
  static const Color statesLightOnBackgroundOnBackgroundDisabled =
      Color(0xFF191C2166);
  static const Color statesLightSurfaceSurfaceHovered = Color(0xFF191C2114);
  static const Color statesLightSurfaceSurfaceFocused = Color(0xFF191C211F);
  static const Color statesLightSurfaceSurfacePressed = Color(0xFF191C211F);
  static const Color statesLightSurfaceSurfaceDisabled = Color(0xFFFDFBFF);
  static const Color statesLightOnSurfaceOnSurfaceDisabled =
      Color(0xFF191C2166);
  static const Color statesLightOutlineOutlineDisabled = Color(0xFF75777E66);
  static const Color statesLightDividerDividerDisabled = Color(0xFFEFF0F9);
  static const Color statesLightSurfaceVariantSurfaceVariantHovered =
      Color(0xFF3E495714);
  static const Color statesLightSurfaceVariantSurfaceVariantFocused =
      Color(0xFF3E49571F);
  static const Color statesLightSurfaceVariantSurfaceVariantPressed =
      Color(0xFF3E49571F);
  static const Color statesLightSurfaceVariantSurfaceVariantDisabled =
      Color(0xFF191C2114);
  static const Color statesLightOnSurfaceVariantOnSurfaceVariantDisabled =
      Color(0xFF191C2166);
  static const Color statesLightOutlineVariantOutlineVariantDisabled =
      Color(0xFF6C798B66);
  static const Color statesLightDividerVariantDividerVariantDisabled =
      Color(0xFFEEF0FA);
  static const Color statesDarkPrimaryPrimaryHovered = Color(0xFFB0D9FF);
  static const Color statesDarkPrimaryPrimaryFocused = Color(0xFFC7E5FF);
  static const Color statesDarkPrimaryPrimaryPressed = Color(0xFFC7E5FF);
  static const Color statesDarkPrimaryPrimaryDisabled = Color(0xFFE0E2EB1F);
  static const Color statesDarkOnPrimaryOnPrimaryDisabled = Color(0xFFE0E2EB66);
  static const Color statesDarkPrimarySurfacePrimarySurfaceHovered =
      Color(0xFF194D857A);
  static const Color statesDarkPrimarySurfacePrimarySurfaceFocused =
      Color(0xFF194D85A3);
  static const Color statesDarkPrimarySurfacePrimarySurfacePressed =
      Color(0xFF194D85A3);
  static const Color statesDarkPrimarySurfacePrimarySurfaceDisabled =
      Color(0xFFE0E2EB14);
  static const Color statesDarkOnPrimarySurfaceOnPrimarySurfaceDisabled =
      Color(0xFFE0E2EB66);
  static const Color statesDarkSecondarySecondaryHovered = Color(0xFFB8D5F4);
  static const Color statesDarkSecondarySecondaryFocused = Color(0xFFCCE2F9);
  static const Color statesDarkSecondarySecondaryPressed = Color(0xFFCCE2F9);
  static const Color statesDarkSecondarySecondaryDisabled = Color(0xFFE0E2EB1F);
  static const Color statesDarkOnSecondaryOnSecondaryDisabled =
      Color(0xFFE0E2EB66);
  static const Color statesDarkSecondarySurfaceSecondarySurfaceHovered =
      Color(0xFF38424C7A);
  static const Color statesDarkSecondarySurfaceSecondarySurfaceFocused =
      Color(0xFF38424CA3);
  static const Color statesDarkSecondarySurfaceSecondarySurfacePressed =
      Color(0xFF38424CA3);
  static const Color statesDarkSecondarySurfaceSecondarySurfaceDisabled =
      Color(0xFFE0E2EB14);
  static const Color statesDarkOnSecondarySurfaceOnSecondarySurfaceDisabled =
      Color(0xFFE0E2EB66);
  static const Color statesDarkTertiaryTertiaryHovered = Color(0xFFE6CBEC);
  static const Color statesDarkTertiaryTertiaryFocused = Color(0xFFF4D9FA);
  static const Color statesDarkTertiaryTertiaryPressed = Color(0xFFF4D9FA);
  static const Color statesDarkTertiaryTertiaryDisabled = Color(0xFFE0E2EB1F);
  static const Color statesDarkOnTertiaryOnTertiaryDisabled =
      Color(0xFFE0E2EB66);
  static const Color statesDarkTertiarySurfaceTertiarySurfaceHovered =
      Color(0xFF533F5A7A);
  static const Color statesDarkTertiarySurfaceTertiarySurfaceFocused =
      Color(0xFF533F5AA3);
  static const Color statesDarkTertiarySurfaceTertiarySurfacePressed =
      Color(0xFF533F5AA3);
  static const Color statesDarkTertiarySurfaceTertiarySurfaceDisabled =
      Color(0xFFE0E2EB14);
  static const Color statesDarkOnTertiarySurfaceOnTertiarySurfaceDisabled =
      Color(0xFFE0E2EB66);
  static const Color statesDarkErrorErrorHovered = Color(0xFFF7C9C2);
  static const Color statesDarkErrorErrorFocused = Color(0xFFF9DBD7);
  static const Color statesDarkErrorErrorPressed = Color(0xFFF9DBD7);
  static const Color statesDarkErrorErrorDisabled = Color(0xFFE0E2EB1F);
  static const Color statesDarkOnErrorOnErrorDisabled = Color(0xFFE0E2EB66);
  static const Color statesDarkErrorSurfaceErrorSurfaceHovered =
      Color(0xFF8619157A);
  static const Color statesDarkErrorSurfaceErrorSurfaceFocused =
      Color(0xFF861915A3);
  static const Color statesDarkErrorSurfaceErrorSurfacePressed =
      Color(0xFF861915A3);
  static const Color statesDarkErrorSurfaceErrorSurfaceDisabled =
      Color(0xFFE0E2EB14);
  static const Color statesDarkOnErrorSurfaceOnErrorSurfaceDisabled =
      Color(0xFFE0E2EB66);
  static const Color statesDarkSuccessSuccessHovered = Color(0xFFC3E7A7);
  static const Color statesDarkSuccessSuccessFocused = Color(0xFFD2F4B8);
  static const Color statesDarkSuccessSuccessPressed = Color(0xFFD2F4B8);
  static const Color statesDarkSuccessSuccessDisabled = Color(0xFFE0E2EB1F);
  static const Color statesDarkOnSuccessOnSuccessDisabled = Color(0xFFE0E2EB66);
  static const Color statesDarkSuccessSurfaceSuccessSurfaceHovered =
      Color(0xFF3158187A);
  static const Color statesDarkSuccessSurfaceSuccessSurfaceFocused =
      Color(0xFF315818A3);
  static const Color statesDarkSuccessSurfaceSuccessSurfacePressed =
      Color(0xFF315818A3);
  static const Color statesDarkSuccessSurfaceSuccessSurfaceDisabled =
      Color(0xFFE0E2EB14);
  static const Color statesDarkOnSuccessSurfaceOnSuccessSurfaceDisabled =
      Color(0xFFE0E2EB66);
  static const Color statesDarkCautionCautionHovered = Color(0xFFF7DB62);
  static const Color statesDarkCautionCautionFocused = Color(0xFFFFE680);
  static const Color statesDarkCautionCautionPressed = Color(0xFFFFE680);
  static const Color statesDarkCautionCautionDisabled = Color(0xFFE0E2EB1F);
  static const Color statesDarkOnCautionOnCautionDisabled = Color(0xFFE0E2EB66);
  static const Color statesDarkCautionSurfaceCautionSurfaceHovered =
      Color(0xFF5247127A);
  static const Color statesDarkCautionSurfaceCautionSurfaceFocused =
      Color(0xFF524712A3);
  static const Color statesDarkCautionSurfaceCautionSurfacePressed =
      Color(0xFF524712A3);
  static const Color statesDarkCautionSurfaceCautionSurfaceDisabled =
      Color(0xFFE0E2EB14);
  static const Color statesDarkOnCautionSurfaceOnCautionSurfaceDisabled =
      Color(0xFFE0E2EB66);
  static const Color statesDarkOnBackgroundOnBackgroundDisabled =
      Color(0xFFEFF0F966);
  static const Color statesDarkSurfaceSurfaceHovered = Color(0xFFEFF0F914);
  static const Color statesDarkSurfaceSurfaceFocused = Color(0xFFEFF0F91F);
  static const Color statesDarkSurfaceSurfacePressed = Color(0xFFEFF0F91F);
  static const Color statesDarkSurfaceSurfaceDisabled = Color(0xFF191C21);
  static const Color statesDarkOnSurfaceOnSurfaceDisabled = Color(0xFFEFF0F966);
  static const Color statesDarkOutlineOutlineDisabled = Color(0xFF8E909866);
  static const Color statesDarkDividerDividerDisabled = Color(0xFF191C21);
  static const Color statesDarkSurfaceVariantSurfaceVariantHovered =
      Color(0xFFC1C7D414);
  static const Color statesDarkSurfaceVariantSurfaceVariantFocused =
      Color(0xFFC1C7D41F);
  static const Color statesDarkSurfaceVariantSurfaceVariantPressed =
      Color(0xFFC1C7D41F);
  static const Color statesDarkSurfaceVariantSurfaceVariantDisabled =
      Color(0xFF3E4957);
  static const Color statesDarkOnSurfaceVariantOnSurfaceVariantDisabled =
      Color(0xFFEFF0F966);
  static const Color statesDarkOutlineVariantOutlineVariantDisabled =
      Color(0xFF8792A266);
  static const Color statesDarkDividerVariantDividerVariantDisabled =
      Color(0xFF29313E);

  static const Map<String, Color> colors = {
    'baseLightPrimary': Color(0xFF0F82FF),
    'baseLightOnPrimary': Color(0xFFFFFFFF),
    'baseLightPrimarySurface': Color(0xFFDBEFFF),
    'baseLightOnPrimarySurface': Color(0xFF051A33),
    'baseLightSecondary': Color(0xFF56718F),
    'baseLightOnSecondary': Color(0xFFFFFFFF),
    'baseLightSecondarySurface': Color(0xFFDBECFF),
    'baseLightOnSecondarySurface': Color(0xFF17191C),
    'baseLightTertiary': Color(0xFF6C5672),
    'baseLightOnTertiary': Color(0xFFFFFFFF),
    'baseLightTertiarySurface': Color(0xFFF4D9FA),
    'baseLightOnTertiarySurface': Color(0xFF25142C),
    'baseLightError': Color(0xFFAB2D25),
    'baseLightOnError': Color(0xFFFFFFFF),
    'baseLightErrorSurface': Color(0xFFF9DBD7),
    'baseLightOnErrorSurface': Color(0xFF3B0605),
    'baseLightSuccess': Color(0xFF49702E),
    'baseLightOnSuccess': Color(0xFFFFFFFF),
    'baseLightSuccessSurface': Color(0xFFD2F4B8),
    'baseLightOnSuccessSurface': Color(0xFF0F2905),
    'baseLightCaution': Color(0xFF6D5E1B),
    'baseLightOnCaution': Color(0xFFFFFFFF),
    'baseLightCautionSurface': Color(0xFFFFE680),
    'baseLightOnCautionSurface': Color(0xFF211B04),
    'baseLightBackground': Color(0xFFFFFFFF),
    'baseLightOnBackground': Color(0xFF191C21),
    'baseLightSurface': Color(0xFFFDFBFF),
    'baseLightOnSurface': Color(0xFF191C21),
    'baseLightOutline': Color(0xFF75777E),
    'baseLightDivider': Color(0xFFE0E2EB),
    'baseLightShadow': Color(0xFF000000),
    'baseLightSurfaceVariant': Color(0xFFDEE2ED),
    'baseLightOnSurfaceVariant': Color(0xFF536073),
    'baseLightOutlineVariant': Color(0xFF6C798B),
    'baseLightDividerVariant': Color(0xFFDEE2ED),
    'baseDarkPrimary': Color(0xFF99CEFF),
    'baseDarkOnPrimary': Color(0xFF103660),
    'baseDarkPrimarySurface': Color(0xFF194D85),
    'baseDarkOnPrimarySurface': Color(0xFFC7E5FF),
    'baseDarkSecondary': Color(0xFFA4C8EF),
    'baseDarkOnSecondary': Color(0xFF292E32),
    'baseDarkSecondarySurface': Color(0xFF38424C),
    'baseDarkOnSecondarySurface': Color(0xFFCCE2F9),
    'baseDarkTertiary': Color(0xFFD8BDDE),
    'baseDarkOnTertiary': Color(0xFF3C2942),
    'baseDarkTertiarySurface': Color(0xFF533F5A),
    'baseDarkOnTertiarySurface': Color(0xFFF4D9FA),
    'baseDarkError': Color(0xFFF4B7AD),
    'baseDarkOnError': Color(0xFF600F0C),
    'baseDarkErrorSurface': Color(0xFF861915),
    'baseDarkOnErrorSurface': Color(0xFFF9DBD7),
    'baseDarkSuccess': Color(0xFFB3D996),
    'baseDarkOnSuccess': Color(0xFF1E410C),
    'baseDarkSuccessSurface': Color(0xFF315818),
    'baseDarkOnSuccessSurface': Color(0xFFD2F4B8),
    'baseDarkCaution': Color(0xFFEECF44),
    'baseDarkOnCaution': Color(0xFF383009),
    'baseDarkCautionSurface': Color(0xFF524712),
    'baseDarkOnCautionSurface': Color(0xFFFFE680),
    'baseDarkBackground': Color(0xFF000000),
    'baseDarkOnBackground': Color(0xFFEFF0F9),
    'baseDarkSurface': Color(0xFF191C21),
    'baseDarkOnSurface': Color(0xFFEFF0F9),
    'baseDarkOutline': Color(0xFF8E9098),
    'baseDarkDivider': Color(0xFF2E3037),
    'baseDarkShadow': Color(0xFF000000),
    'baseDarkSurfaceVariant': Color(0xFF3E4957),
    'baseDarkOnSurfaceVariant': Color(0xFFA4ACBB),
    'baseDarkOutlineVariant': Color(0xFF8792A2),
    'baseDarkDividerVariant': Color(0xFF3E4957),
    'statesLightPrimaryPrimaryHovered': Color(0xFF1578DB),
    'statesLightPrimaryPrimaryFocused': Color(0xFF1B66B6),
    'statesLightPrimaryPrimaryPressed': Color(0xFF1B66B6),
    'statesLightPrimaryPrimaryDisabled': Color(0xFF191C211F),
    'statesLightOnPrimaryOnPrimaryDisabled': Color(0xFF191C2166),
    'statesLightPrimarySurfacePrimarySurfaceHovered': Color(0xFFDBEFFF7A),
    'statesLightPrimarySurfacePrimarySurfaceFocused': Color(0xFFDBEFFFA3),
    'statesLightPrimarySurfacePrimarySurfacePressed': Color(0xFFDBEFFFA3),
    'statesLightPrimarySurfacePrimarySurfaceDisabled': Color(0xFF191C2114),
    'statesLightOnPrimarySurfaceOnPrimarySurfaceDisabled': Color(0xFF191C2166),
    'statesLightSecondarySecondaryHovered': Color(0xFF50667F),
    'statesLightSecondarySecondaryFocused': Color(0xFF495B6E),
    'statesLightSecondarySecondaryPressed': Color(0xFF495B6E),
    'statesLightSecondarySecondaryDisabled': Color(0xFF191C211F),
    'statesLightOnSecondaryOnSecondaryDisabled': Color(0xFF191C2166),
    'statesLightSecondarySurfaceSecondarySurfaceHovered': Color(0xFFDBECFF7A),
    'statesLightSecondarySurfaceSecondarySurfaceFocused': Color(0xFFDBECFFA3),
    'statesLightSecondarySurfaceSecondarySurfacePressed': Color(0xFFDBECFFA3),
    'statesLightSecondarySurfaceSecondarySurfaceDisabled': Color(0xFF191C2114),
    'statesLightOnSecondarySurfaceOnSecondarySurfaceDisabled':
        Color(0xFF191C2166),
    'statesLightTertiaryTertiaryHovered': Color(0xFF604B66),
    'statesLightTertiaryTertiaryFocused': Color(0xFF533F5A),
    'statesLightTertiaryTertiaryPressed': Color(0xFF533F5A),
    'statesLightTertiaryTertiaryDisabled': Color(0xFF191C211F),
    'statesLightOnTertiaryOnTertiaryDisabled': Color(0xFF191C2166),
    'statesLightTertiarySurfaceTertiarySurfaceHovered': Color(0xFFF4D9FA7A),
    'statesLightTertiarySurfaceTertiarySurfaceFocused': Color(0xFFF4D9FAA3),
    'statesLightTertiarySurfaceTertiarySurfacePressed': Color(0xFFF4D9FAA3),
    'statesLightTertiarySurfaceTertiarySurfaceDisabled': Color(0xFF191C2114),
    'statesLightOnTertiarySurfaceOnTertiarySurfaceDisabled':
        Color(0xFF191C2166),
    'statesLightErrorErrorHovered': Color(0xFF99231D),
    'statesLightErrorErrorFocused': Color(0xFF861915),
    'statesLightErrorErrorPressed': Color(0xFF861915),
    'statesLightErrorErrorDisabled': Color(0xFF191C211F),
    'statesLightOnErrorOnErrorDisabled': Color(0xFF191C2166),
    'statesLightErrorSurfaceErrorSurfaceHovered': Color(0xFFF9DBD77A),
    'statesLightErrorSurfaceErrorSurfaceFocused': Color(0xFFF9DBD7A3),
    'statesLightErrorSurfaceErrorSurfacePressed': Color(0xFFF9DBD7A3),
    'statesLightErrorSurfaceErrorSurfaceDisabled': Color(0xFF191C2114),
    'statesLightOnErrorSurfaceOnErrorSurfaceDisabled': Color(0xFF191C2166),
    'statesLightSuccessSuccessHovered': Color(0xFF3D6423),
    'statesLightSuccessSuccessFocused': Color(0xFF315818),
    'statesLightSuccessSuccessPressed': Color(0xFF315818),
    'statesLightSuccessSuccessDisabled': Color(0xFF191C211F),
    'statesLightOnSuccessOnSuccessDisabled': Color(0xFF191C2166),
    'statesLightSuccessSurfaceSuccessSurfaceHovered': Color(0xFFD2F4B87A),
    'statesLightSuccessSurfaceSuccessSurfaceFocused': Color(0xFFD2F4B8A3),
    'statesLightSuccessSurfaceSuccessSurfacePressed': Color(0xFFD2F4B8A3),
    'statesLightSuccessSurfaceSuccessSurfaceDisabled': Color(0xFF191C2114),
    'statesLightOnSuccessSurfaceOnSuccessSurfaceDisabled': Color(0xFF191C2166),
    'statesLightCautionCautionHovered': Color(0xFF605317),
    'statesLightCautionCautionFocused': Color(0xFF524712),
    'statesLightCautionCautionPressed': Color(0xFF524712),
    'statesLightCautionCautionDisabled': Color(0xFF191C211F),
    'statesLightOnCautionOnCautionDisabled': Color(0xFF191C2166),
    'statesLightCautionSurfaceCautionSurfaceHovered': Color(0xFFFFE6807A),
    'statesLightCautionSurfaceCautionSurfaceFocused': Color(0xFFFFE680A3),
    'statesLightCautionSurfaceCautionSurfacePressed': Color(0xFFFFE680A3),
    'statesLightCautionSurfaceCautionSurfaceDisabled': Color(0xFF191C2114),
    'statesLightOnCautionSurfaceOnCautionSurfaceDisabled': Color(0xFF191C2166),
    'statesLightOnBackgroundOnBackgroundDisabled': Color(0xFF191C2166),
    'statesLightSurfaceSurfaceHovered': Color(0xFF191C2114),
    'statesLightSurfaceSurfaceFocused': Color(0xFF191C211F),
    'statesLightSurfaceSurfacePressed': Color(0xFF191C211F),
    'statesLightSurfaceSurfaceDisabled': Color(0xFFFDFBFF),
    'statesLightOnSurfaceOnSurfaceDisabled': Color(0xFF191C2166),
    'statesLightOutlineOutlineDisabled': Color(0xFF75777E66),
    'statesLightDividerDividerDisabled': Color(0xFFEFF0F9),
    'statesLightSurfaceVariantSurfaceVariantHovered': Color(0xFF3E495714),
    'statesLightSurfaceVariantSurfaceVariantFocused': Color(0xFF3E49571F),
    'statesLightSurfaceVariantSurfaceVariantPressed': Color(0xFF3E49571F),
    'statesLightSurfaceVariantSurfaceVariantDisabled': Color(0xFF191C2114),
    'statesLightOnSurfaceVariantOnSurfaceVariantDisabled': Color(0xFF191C2166),
    'statesLightOutlineVariantOutlineVariantDisabled': Color(0xFF6C798B66),
    'statesLightDividerVariantDividerVariantDisabled': Color(0xFFEEF0FA),
    'statesDarkPrimaryPrimaryHovered': Color(0xFFB0D9FF),
    'statesDarkPrimaryPrimaryFocused': Color(0xFFC7E5FF),
    'statesDarkPrimaryPrimaryPressed': Color(0xFFC7E5FF),
    'statesDarkPrimaryPrimaryDisabled': Color(0xFFE0E2EB1F),
    'statesDarkOnPrimaryOnPrimaryDisabled': Color(0xFFE0E2EB66),
    'statesDarkPrimarySurfacePrimarySurfaceHovered': Color(0xFF194D857A),
    'statesDarkPrimarySurfacePrimarySurfaceFocused': Color(0xFF194D85A3),
    'statesDarkPrimarySurfacePrimarySurfacePressed': Color(0xFF194D85A3),
    'statesDarkPrimarySurfacePrimarySurfaceDisabled': Color(0xFFE0E2EB14),
    'statesDarkOnPrimarySurfaceOnPrimarySurfaceDisabled': Color(0xFFE0E2EB66),
    'statesDarkSecondarySecondaryHovered': Color(0xFFB8D5F4),
    'statesDarkSecondarySecondaryFocused': Color(0xFFCCE2F9),
    'statesDarkSecondarySecondaryPressed': Color(0xFFCCE2F9),
    'statesDarkSecondarySecondaryDisabled': Color(0xFFE0E2EB1F),
    'statesDarkOnSecondaryOnSecondaryDisabled': Color(0xFFE0E2EB66),
    'statesDarkSecondarySurfaceSecondarySurfaceHovered': Color(0xFF38424C7A),
    'statesDarkSecondarySurfaceSecondarySurfaceFocused': Color(0xFF38424CA3),
    'statesDarkSecondarySurfaceSecondarySurfacePressed': Color(0xFF38424CA3),
    'statesDarkSecondarySurfaceSecondarySurfaceDisabled': Color(0xFFE0E2EB14),
    'statesDarkOnSecondarySurfaceOnSecondarySurfaceDisabled':
        Color(0xFFE0E2EB66),
    'statesDarkTertiaryTertiaryHovered': Color(0xFFE6CBEC),
    'statesDarkTertiaryTertiaryFocused': Color(0xFFF4D9FA),
    'statesDarkTertiaryTertiaryPressed': Color(0xFFF4D9FA),
    'statesDarkTertiaryTertiaryDisabled': Color(0xFFE0E2EB1F),
    'statesDarkOnTertiaryOnTertiaryDisabled': Color(0xFFE0E2EB66),
    'statesDarkTertiarySurfaceTertiarySurfaceHovered': Color(0xFF533F5A7A),
    'statesDarkTertiarySurfaceTertiarySurfaceFocused': Color(0xFF533F5AA3),
    'statesDarkTertiarySurfaceTertiarySurfacePressed': Color(0xFF533F5AA3),
    'statesDarkTertiarySurfaceTertiarySurfaceDisabled': Color(0xFFE0E2EB14),
    'statesDarkOnTertiarySurfaceOnTertiarySurfaceDisabled': Color(0xFFE0E2EB66),
    'statesDarkErrorErrorHovered': Color(0xFFF7C9C2),
    'statesDarkErrorErrorFocused': Color(0xFFF9DBD7),
    'statesDarkErrorErrorPressed': Color(0xFFF9DBD7),
    'statesDarkErrorErrorDisabled': Color(0xFFE0E2EB1F),
    'statesDarkOnErrorOnErrorDisabled': Color(0xFFE0E2EB66),
    'statesDarkErrorSurfaceErrorSurfaceHovered': Color(0xFF8619157A),
    'statesDarkErrorSurfaceErrorSurfaceFocused': Color(0xFF861915A3),
    'statesDarkErrorSurfaceErrorSurfacePressed': Color(0xFF861915A3),
    'statesDarkErrorSurfaceErrorSurfaceDisabled': Color(0xFFE0E2EB14),
    'statesDarkOnErrorSurfaceOnErrorSurfaceDisabled': Color(0xFFE0E2EB66),
    'statesDarkSuccessSuccessHovered': Color(0xFFC3E7A7),
    'statesDarkSuccessSuccessFocused': Color(0xFFD2F4B8),
    'statesDarkSuccessSuccessPressed': Color(0xFFD2F4B8),
    'statesDarkSuccessSuccessDisabled': Color(0xFFE0E2EB1F),
    'statesDarkOnSuccessOnSuccessDisabled': Color(0xFFE0E2EB66),
    'statesDarkSuccessSurfaceSuccessSurfaceHovered': Color(0xFF3158187A),
    'statesDarkSuccessSurfaceSuccessSurfaceFocused': Color(0xFF315818A3),
    'statesDarkSuccessSurfaceSuccessSurfacePressed': Color(0xFF315818A3),
    'statesDarkSuccessSurfaceSuccessSurfaceDisabled': Color(0xFFE0E2EB14),
    'statesDarkOnSuccessSurfaceOnSuccessSurfaceDisabled': Color(0xFFE0E2EB66),
    'statesDarkCautionCautionHovered': Color(0xFFF7DB62),
    'statesDarkCautionCautionFocused': Color(0xFFFFE680),
    'statesDarkCautionCautionPressed': Color(0xFFFFE680),
    'statesDarkCautionCautionDisabled': Color(0xFFE0E2EB1F),
    'statesDarkOnCautionOnCautionDisabled': Color(0xFFE0E2EB66),
    'statesDarkCautionSurfaceCautionSurfaceHovered': Color(0xFF5247127A),
    'statesDarkCautionSurfaceCautionSurfaceFocused': Color(0xFF524712A3),
    'statesDarkCautionSurfaceCautionSurfacePressed': Color(0xFF524712A3),
    'statesDarkCautionSurfaceCautionSurfaceDisabled': Color(0xFFE0E2EB14),
    'statesDarkOnCautionSurfaceOnCautionSurfaceDisabled': Color(0xFFE0E2EB66),
    'statesDarkOnBackgroundOnBackgroundDisabled': Color(0xFFEFF0F966),
    'statesDarkSurfaceSurfaceHovered': Color(0xFFEFF0F914),
    'statesDarkSurfaceSurfaceFocused': Color(0xFFEFF0F91F),
    'statesDarkSurfaceSurfacePressed': Color(0xFFEFF0F91F),
    'statesDarkSurfaceSurfaceDisabled': Color(0xFF191C21),
    'statesDarkOnSurfaceOnSurfaceDisabled': Color(0xFFEFF0F966),
    'statesDarkOutlineOutlineDisabled': Color(0xFF8E909866),
    'statesDarkDividerDividerDisabled': Color(0xFF191C21),
    'statesDarkSurfaceVariantSurfaceVariantHovered': Color(0xFFC1C7D414),
    'statesDarkSurfaceVariantSurfaceVariantFocused': Color(0xFFC1C7D41F),
    'statesDarkSurfaceVariantSurfaceVariantPressed': Color(0xFFC1C7D41F),
    'statesDarkSurfaceVariantSurfaceVariantDisabled': Color(0xFF3E4957),
    'statesDarkOnSurfaceVariantOnSurfaceVariantDisabled': Color(0xFFEFF0F966),
    'statesDarkOutlineVariantOutlineVariantDisabled': Color(0xFF8792A266),
    'statesDarkDividerVariantDividerVariantDisabled': Color(0xFF29313E),
  };
}
